Tool: get_conversion_workspace_info
Gets the info of a conversion workspace.
nameparameter is in the form 'projects/{project name}/locations/{location}/conversionWorkspaces/{conversion_workspace_name}', for example: 'projects/my-project/locations/us-central1/conversionWorkspaces/cs1'.
The following code sample shows how to use curl to call the get_conversion_workspace_info MCP tool.
| Curl Request |
|---|
curl --location 'https://datamigration.googleapis.com/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/call", "params": { "name": "get_conversion_workspace_info", "arguments": { // Provide these details according to the MCP tool specification. } }, "jsonrpc": "2.0", "id": 1 }' |
Input Schema
Request message for 'FetchConversionWorkspaceInfo' request.
FetchConversionWorkspaceInfoRequest
| JSON representation |
|---|
{ "name": string } |
| Fields | |
|---|---|
name |
Required. The resource name for the conversion workspace. Must be in the format |
Output Schema
Response message for 'FetchConversionWorkspaceInfo' request.
FetchConversionWorkspaceInfoResponse
| JSON representation |
|---|
{ "name": string, "displayName": string, "sourceDatabase": enum ( |
| Fields | |
|---|---|
name |
Required. The resource name for the conversion workspace. For example: 'projects/my-project/locations/us-central1/conversionWorkspaces/cs1' |
displayName |
Optional. The display name of the conversion workspace. |
sourceDatabase |
Optional. The source database of the conversion workspace, for example: SQLSERVER, ORACLE, MYSQL, POSTGRES, etc. |
destinationDatabase |
Optional. The destination database of the conversion workspace, for example: POSTGRES, ALLOYDB, etc. |
uncommitted |
Optional. Whether the conversion workspace is in an uncommitted state. An uncommitted state means that there are changes being made to the conversion workspace that are not yet committed, so the workspace should be considered as being in a 'read-only' state. |
converted |
Optional. Whether the conversion workspace has been converted at least once. |
DatabaseEngine
The database engine types.
| Enums | |
|---|---|
DATABASE_ENGINE_UNSPECIFIED |
The source database engine of the migration job is unknown. |
MYSQL |
The source engine is MySQL. |
POSTGRESQL |
The source engine is PostgreSQL. |
SQLSERVER |
The source engine is SQL Server. |
ORACLE |
The source engine is Oracle. |
Tool Annotations
Tool annotations are sent to MCP clients to describe the basic risk of a given tool. Most clients treat these hints as untrusted, but they can be used to decide when a confirmation prompt might be sent to a user.
Along with the title string, the following boolean hints are defined as follows:
readOnlyHint: If true, the tool doesn't modify its environment. Default: false.destructiveHint: If true, then the tool can perform destructive actions. If false, then the tool can only perform additive actions. Default: true.idempotentHint: If true, then calling the tool repeatedly with the same arguments will have no additional effect on its environment. Default: false.openWorldHint: If true, then the tool can interact with an 'open world' of external entities. If false, then the tool can only interact with internal entities. For example, a web search tool would be open world, while a memory tool would not be open world.
Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌